linux: 3.13.0-39.66 -proposed tracker

Bug #1386629 reported by Luis Henriques on 2014-10-28
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Canonical Security Team
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-39.66 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 28. October 2014 10:25 UTC
kernel-stable-Prepare-package-end:Tuesday, 28. October 2014 20:07 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 28. October 2014 20:07 UTC
ppa-package-testing-start:Tuesday, 28. October 2014 20:07 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 29. October 2014 01:00 UTC
kernel-stable-Verification-testing-start:Wednesday, 29. October 2014 02:03 UTC
kernel-stable-Certification-testing-start:Wednesday, 29. October 2014 02:03 UTC
kernel-stable-Security-signoff-start:Wednesday, 29. October 2014 02:03 UTC
kernel-stable-Regression-testing-start:Wednesday, 29. October 2014 02:03 UTC
kernel-stable-Verification-testing-end:Wednesday, 29. October 2014 02:28 UTC
kernel-stable-Regression-testing-end:Wednesday, 29. October 2014 02:28 UTC
kernel-stable-Security-signoff-end:Wednesday, 29. October 2014 02:28 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 29. October 2014 02:38 UTC
kernel-stable-Certification-testing-end:Wednesday, 29. October 2014 02:38 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 29. October 2014 03:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 29. October 2014 04:02 UTC

Luis Henriques (henrix) on 2014-10-28
tags: added: kernel-release-tracking-bug
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-keystone - bug 1386864

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-trusty (precise) - bug 1386866

description: updated
Brad Figg (brad-figg) on 2014-10-29
description: updated
Brad Figg (brad-figg) on 2014-10-29
description: updated
Adam Conrad (adconrad) on 2014-10-29
tags: added: qa-testing-passed

The certification-testing task was set to Fix Released but neither the certification-testing-passed or certification-testing-failed tag was applied

description: updated
Adam Conrad (adconrad) on 2014-10-29
tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-10-29
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (10.4 KiB)

This bug was fixed in the package linux - 3.13.0-39.66

---------------
linux (3.13.0-39.66) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1386629

  [ Upstream Kernel Changes ]

  * KVM: x86: Check non-canonical addresses upon WRMSR
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Prevent host from panicking on shared MSR writes.
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Improve thread safety in pit
    - LP: #1384540
    - CVE-2014-3611
  * KVM: x86: Fix wrong masking on relative jump/call
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Warn if guest virtual address space is not 48-bits
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Emulator fixes for eip canonical checks on near branches
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: emulating descriptor load misses long-mode case
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Handle errors when RIP is set during far jumps
    - LP: #1384545
    - CVE-2014-3647
  * kvm: vmx: handle invvpid vm exit gracefully
    - LP: #1384544
    - CVE-2014-3646
  * Input: synaptics - gate forcepad support by DMI check
    - LP: #1381815

linux (3.13.0-38.65) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1379244

  [ Andy Whitcroft ]

  * Revert "SAUCE: scsi: hyper-v storsvc switch up to SPC-3"
    - LP: #1354397
  * [Config] linux-image-extra is additive to linux-image
    - LP: #1375310
  * [Config] linux-image-extra postrm is not needed on purge
    - LP: #1375310

  [ Upstream Kernel Changes ]

  * Revert "KVM: x86: Increase the number of fixed MTRR regs to 10"
    - LP: #1377564
  * Revert "USB: option,zte_ev: move most ZTE CDMA devices to zte_ev"
    - LP: #1377564
  * aufs: bugfix, stop calling security_mmap_file() again
    - LP: #1371316
  * ipvs: fix ipv6 hook registration for local replies
    - LP: #1349768
  * Drivers: add blist flags
    - LP: #1354397
  * sd: fix a bug in deriving the FLUSH_TIMEOUT from the basic I/O timeout
    - LP: #1354397
  * drm/i915/bdw: Add 42ms delay for IPS disable
    - LP: #1374389
  * drm/i915: add null render states for gen6, gen7 and gen8
    - LP: #1374389
  * drm/i915/bdw: 3D_CHICKEN3 has write mask bits
    - LP: #1374389
  * drm/i915/bdw: Disable idle DOP clock gating
    - LP: #1374389
  * drm/i915: call lpt_init_clock_gating on BDW too
    - LP: #1374389
  * drm/i915: shuffle panel code
    - LP: #1374389
  * drm/i915: extract backlight minimum brightness from VBT
    - LP: #1374389
  * drm/i915: respect the VBT minimum backlight brightness
    - LP: #1374389
  * drm/i915/bdw: Apply workarounds in render ring init function
    - LP: #1374389
  * drm/i915/bdw: Cleanup pre prod workarounds
    - LP: #1374389
  * drm/i915: Replace hardcoded cacheline size with macro
    - LP: #1374389
  * drm/i915: Refactor Broadwell PIPE_CONTROL emission into a helper.
    - LP: #1374389
  * drm/i915: Add the WaCsStallBeforeStateCacheInvalidate:bdw workaround.
    - LP: #1374389
  * drm/i915/bdw: Remove BDW preproduction W/As until C stepping.
    - LP: #1374389
  * mptfusion: enable no_write_same for vmware scsi disks
    - LP: #1371591
  * iommu/amd: Fix cleanup_domai...

Changed in linux (Ubuntu Trusty):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-10-29
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated

Mathew,

Please do not make any changes to kernel-sru-workflow bugs. These are used
by the kernel team as part of our kernel workflow.

Brad

On Wed, Mar 18, 2015 at 01:30:41PM -0000, Mathew Hodson wrote:
> ** Changed in: kernel-sru-workflow/package-testing
> Status: Confirmed => Invalid
>
> --
> You received this bug notification because you are a member of Canonical
> Kernel SRU Team, which is subscribed to Kernel SRU Workflow.
> https://bugs.launchpad.net/bugs/1386629
>
> Title:
> linux: 3.13.0-39.66 -proposed tracker
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/kernel-sru-workflow/+bug/1386629/+subscriptions

--
Brad Figg <email address hidden> http://www.canonical.com

Brad Figg (brad-figg) wrote :

Mathew,

Ok, I see that you only touched some old ones. I have a bit of a knee-jerk
reaction to people messing with those bugs.

Brad

On Wed, Mar 18, 2015 at 06:59:53AM -0700, Brad Figg wrote:
> Mathew,
>
> Please do not make any changes to kernel-sru-workflow bugs. These are used
> by the kernel team as part of our kernel workflow.
>
> Brad
>
> On Wed, Mar 18, 2015 at 01:30:41PM -0000, Mathew Hodson wrote:
> > ** Changed in: kernel-sru-workflow/package-testing
> > Status: Confirmed => Invalid
> >
> > --
> > You received this bug notification because you are a member of Canonical
> > Kernel SRU Team, which is subscribed to Kernel SRU Workflow.
> > https://bugs.launchpad.net/bugs/1386629
> >
> > Title:
> > linux: 3.13.0-39.66 -proposed tracker
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/kernel-sru-workflow/+bug/1386629/+subscriptions
>
> --
> Brad Figg <email address hidden> http://www.canonical.com

--
Brad Figg <email address hidden> http://www.canonical.com

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers